g2: splines

- Main Page
- Modules
- Files
- Related Pages

# splines
[graphical output]

## Functions
void | g2_spline (int dev, int n, double *points, int o)
void | g2_filled_spline (int dev, int n, double *points, int o)
void | g2_b_spline (int dev, int n, double *points, int o)
void | g2_filled_b_spline (int dev, int n, double *points, int o)
void | g2_raspln (int dev, int n, double *points, double tn)
void | g2_filled_raspln (int dev, int n, double *points, double tn)
void | g2_para_3 (int dev, int n, double *points)
void | g2_filled_para_3 (int dev, int n, double *points)
void | g2_para_5 (int dev, int n, double *points)
void | g2_filled_para_5 (int dev, int n, double *points)

## Function Documentation

void g2_b_spline | ( | int | dev,
|  | int | n,
|  | double * | points,
|  | int | o
| ) |

  | Plot a b-spline curve with o interpolated points per data point. So the larger o, the more fluent the curve. For most averaging purposes, this is the right spline. Parameters:
  | dev | device id
  | n | number of data points (not the size of buffer points)
  | points | buffer of n data points x1, y1, ... xn, yn
  | o | number of interpolated points per data point

void g2_filled_b_spline | ( | int | dev,
|  | int | n,
|  | double * | points,
|  | int | o
| ) |

  | Plot a filled b-spline curve with o interpolated points per data point. So the larger o, the more fluent the curve. For most averaging purposes, this is the right spline. Parameters:
  | dev | device id
  | n | number of data points (not the size of buffer points)
  | points | buffer of n data points x1, y1, ... xn, yn
  | o | number of interpolated points per data point

void g2_filled_para_3 | ( | int | dev,
|  | int | n,
|  | double * | points
| ) |

  | Using Newton's Divided Differences method, plot a filled piecewise parametric interpolation polynomial of degree 3 through the given data points. Parameters:
  | dev | device id
  | n | number of data points (not the size of buffer points)
  | points | buffer of n data points x1, y1, ... xn, yn

void g2_filled_para_5 | ( | int | dev,
|  | int | n,
|  | double * | points
| ) |

  | Using Newton's Divided Differences method, plot a filled piecewise parametric interpolation polynomial of degree 5 through the given data points. Parameters:
  | dev | device id
  | n | number of data points (not the size of buffer points)
  | points | buffer of n data points x1, y1, ... xn, yn

void g2_filled_raspln | ( | int | dev,
|  | int | n,
|  | double * | points,
|  | double | tn
| ) |

  | Plot a filled piecewise cubic polynomial with adjustable roundness through the given data points. Each Hermite polynomial between two data points is made up of 40 lines. Tension factor tn must be between 0.0 (very rounded) and 2.0 (not rounded at all, i.e. essentially a polyline). Parameters:
  | dev | device id
  | n | number of data points (not the size of buffer points)
  | points | buffer of n data points x1, y1, ... xn, yn
  | tn | tension factor in the range [0.0, 2.0]

void g2_filled_spline | ( | int | dev,
|  | int | n,
|  | double * | points,
|  | int | o
| ) |

  | Using Young's method of successive over-relaxation, plot a filled spline curve with o interpolated points per data point. So the larger o, the more fluent the curve. Parameters:
  | dev | device id
  | n | number of data points (not the size of buffer points)
  | points | buffer of n data points x1, y1, ... xn, yn
  | o | number of interpolated points per data point

void g2_para_3 | ( | int | dev,
|  | int | n,
|  | double * | points
| ) |

  | Using Newton's Divided Differences method, plot a piecewise parametric interpolation polynomial of degree 3 through the given data points. Parameters:
  | dev | device id
  | n | number of data points (not the size of buffer points)
  | points | buffer of n data points x1, y1, ... xn, yn

void g2_para_5 | ( | int | dev,
|  | int | n,
|  | double * | points
| ) |

  | Using Newton's Divided Differences method, plot a piecewise parametric interpolation polynomial of degree 5 through the given data points. Parameters:
  | dev | device id
  | n | number of data points (not the size of buffer points)
  | points | buffer of n data points x1, y1, ... xn, yn

void g2_raspln | ( | int | dev,
|  | int | n,
|  | double * | points,
|  | double | tn
| ) |

  | Plot a piecewise cubic polynomial with adjustable roundness through the given data points. Each Hermite polynomial between two data points is made up of 40 lines. Tension factor tn must be between 0.0 (very rounded) and 2.0 (not rounded at all, i.e. essentially a polyline). Parameters:
  | dev | device id
  | n | number of data points (not the size of buffer points)
  | points | buffer of n data points x1, y1, ... xn, yn
  | tn | tension factor in the range [0.0, 2.0]

void g2_spline | ( | int | dev,
|  | int | n,
|  | double * | points,
|  | int | o
| ) |

  | Using Young's method of successive over-relaxation, plot a spline curve with o interpolated points per data point. So the larger o, the more fluent the curve. Parameters:
  | dev | device id
  | n | number of data points (not the size of buffer points)
  | points | buffer of n data points x1, y1, ... xn, yn
  | o | number of interpolated points per data point